Name:           python-dbt-singlestore
Version:        1.8.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The singlestore adapter plugin for dbt

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/memsql/dbt-singlestore
Source:         %{pypi_source dbt-singlestore}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dbt-singlestore' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dbt-singlestore
Summary:        %{summary}

%description -n python3-dbt-singlestore %_description


%prep
%autosetup -p1 -n dbt-singlestore-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dbt-singlestore -f %{pyproject_files}


%changelog
%autochangelog